QGIS Application - Bug report #3346
Bug: composer legend - symbols and labels are not vertically aligned
2010-12-16 02:51 PM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 13406
Description

In a composer legend the symbols and the labels should be vertically aligned, so that their centres are at the same level.

Currently they are not necessarily aligned . e.g. in the attached screenshot the labels are slightly lower than the symbols.

| have seen screenshots where they are aligned, so I'm guessing it depends on the spacing (or perhaps font) settings.

| suspect this is really a duplicate of #168, but I'm opening a new ticket since that one is so old (sorry if | should have reopened it instead).

History

#1 - 2011-06-17 04:15 AM - Marco Hugentobler
- Status changed from Open to Resolved
- Assignee deleted (nobody -)

This should be fixed in commit a083c5e7332bf975852¢

#2 - 2011-06-20 10:57 PM - Alister Hood

Yes, looks like it. Thanks.

#3 - 2011-07-15 10:38 PM - Mathieu Pellerin - nIRV

Marco, I'm not a 100% sure but | think this commit might have caused a visual regression for market symbols in legend, described in issue 4043 (#4043).

#4 - 2011-12-16 01:50 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0
- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

#6 - 2012-04-23 02:40 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No
- Status changed from Resolved to Closed
- Resolution set to fixed
